Skip to content
Guides
CatalogChannels
channel:read

Get listing by ID

GET/v1/channels/listings/{id}

Get listing by ID. A successful request returns HTTP 200 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/channels/listings/7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "channelId": "7204558912004325301",  "productId": "7204558912004325301",  "listingType": "salesChannel",  "externalId": "7204558912004325301",  "externalUrl": "https://example.com/resource",  "status": "draft",  "price": 1,  "compareAtPrice": 1,  "syncInventory": false,  "lastSyncAt": "2026-08-01T15:30:00Z",  "lastSyncError": "example",  "lastSyncErrorCode": "example_code",  "readinessStatus": "unknown",  "readinessIssues": [    {      "code": "example_code",      "message": "example",      "blocking": false,      "source": "example",      "references": [        "example"      ],      "causeCode": 1,      "sku": "SKU-001"    }  ],  "publishable": false,  "readinessUpdatedAt": "2026-08-01T15:30:00Z",  "createdOn": "2026-08-01T15:30:00Z",  "updatedOn": "2026-08-01T15:30:00Z"}